plumb {plumber} | R Documentation

## Plumber Router

### Description

Routers are the core request handler in plumber. A router is responsible for taking an incoming request, submitting it through the appropriate filters and eventually to a corresponding endpoint, if one is found.

### Usage

    plumb(file, dir = ".")

    plumber

### Arguments

`file` | The file to parse as the plumber router definition
`dir` | The directory containing the `plumber.R` file to parse as the plumber router definition. Alternatively, if an `entrypoint.R` file is found, it will take precedence and be responsible for returning a runnable Plumber router.

### Format

An object of class `R6ClassGenerator` of length 24.

### Details

See http://www.rplumber.io/docs/programmatic/ for additional details on the methods available on this object.

[Package plumber version 0.4.2 Index]